'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var ANIMATION_FPS_120 = exports.ANIMATION_FPS_120 = 1000 / 120;

var columns = exports.columns = {
  LEFT: 'left',
  MIDDLE: 'middle',
  RIGHT: 'right'
};

var headerType = exports.headerType = {
  DEFAULT: 'default',
  LOCKING: 'locking',
  STACKING: 'stacking'
};

var scrollType = exports.scrollType = {
  HEADER: 'header',
  POSITION: 'position',
  ROW: 'row'
};

var defaultScrollTo = exports.defaultScrollTo = {
  location: {
    x: 0,
    y: 0
  },
  preserveHorizontal: false,
  preserveVertical: false,
  type: scrollType.ROW
};

var LEFT_GUTTER_WIDTH = exports.LEFT_GUTTER_WIDTH = 0;

var LEFT_HANDLE_WIDTH = exports.LEFT_HANDLE_WIDTH = 0;

var HORIZONTAL_SCROLLBAR_HEIGHT = exports.HORIZONTAL_SCROLLBAR_HEIGHT = 15;

var OFFSET_BUFFER = exports.OFFSET_BUFFER = 6;

var RIGHT_GUTTER_WIDTH = exports.RIGHT_GUTTER_WIDTH = 0;

var RIGHT_HANDLE_WIDTH = exports.RIGHT_HANDLE_WIDTH = 0;

var SCROLL_TO_FAST_SCROLL_FACTOR = exports.SCROLL_TO_FAST_SCROLL_FACTOR = 2;

var USER_INITIATED_FAST_SCROLL_FACTOR = exports.USER_INITIATED_FAST_SCROLL_FACTOR = 3 / 4;

var VERTICAL_SCROLLBAR_WIDTH = exports.VERTICAL_SCROLLBAR_WIDTH = 15;